MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029740Open CASCADE[OCCT] OCCT:DRAWpublic2018-05-07 12:402018-07-28 12:47
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029740: Draw Harness - eliminate redundant casts to AIS_InteractiveObject
DescriptionViewerTest_DoubleMapOfInteractiveAndName is currently defined as
typedef NCollection_DoubleMap<
  Handle(Standard_Transient),
  TCollection_AsciiString,
  TColStd_MapTransientHasher,
  TCollection_AsciiString>
ViewerTest_DoubleMapOfInteractiveAndName;


however Standard_Transient is expected to be always AIS_InteractiveObject.
The definition should be corrected and redundant DownCasts eliminated.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029739closedabv Open CASCADE Draw Harness - vdonly does not hide displayed objects 
child of 0025148closedbugmaster Open CASCADE Visualization - drop TKNIS toolkit 
child of 0020053closedagv Open CASCADE Introduction of NIS vizualization library 

-  Notes
(0077564)
git (administrator)
2018-07-13 12:47

Branch CR29740 has been created by kgv.

SHA-1: 799c93d18d342e5e5edf4a5cffc8530dc4d37d16


Detailed log of new commits:

Author: kgv
Date: Fri Jul 13 12:23:17 2018 +0300

    0029740: Draw Harness - eliminate redundant casts to AIS_InteractiveObject
    
    NCollecton_DoubleMap has been extended with two new methods Find1() and Find2()
    performing lookup and returning found key withoout throwing an exception
    (similar to NCollection_DataMap::Find()).
    
    ViewerTest_DoubleMapOfInteractiveAndName has been redeclared to define
    Handle(AIS_InteractiveObject) key instead of Handle(Standard_Transient).
(0077570)
kgv (developer)
2018-07-13 13:51
edited on: 2018-07-20 19:56

Patch is ready for review.

http://jenkins-test-11.nnov.opencascade.com/view/CR29740-CR29740-KGV/ [^]

(0077572)
git (administrator)
2018-07-13 14:59

Branch CR29740 has been updated forcibly by kgv.

SHA-1: c086b7dd67701a53f5dd49e369010dc4dac69f50
(0077573)
git (administrator)
2018-07-13 15:11

Branch CR29740 has been updated forcibly by kgv.

SHA-1: 6d997884bb83c3c5673c973c60533e65e36f1826
(0077575)
git (administrator)
2018-07-13 15:39

Branch CR29740 has been updated forcibly by kgv.

SHA-1: 26a5baf37695d25d06c0a94b90aca9f40602d674
(0077861)
git (administrator)
2018-07-20 20:00

Branch CR29740 has been updated forcibly by san.

SHA-1: d36934c294f428d2813a0709a827fbe625816667
(0077862)
san (developer)
2018-07-20 20:01

Branch CR29740 reviewed without remarks.
(0077932)
bugmaster (administrator)
2018-07-23 17:09

Combination -
OCCT branch : CR29740 SHA - 6d997884bb83c3c5673c973c60533e65e36f1826
Products branch : CR29740 SHA - 9ef7705827e7f3f777fadfbdc5164c19ad38fa4c
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17065.009999999937 / 17156.999999999778 [-0.54%]
Products
Total CPU difference: 7463.480000000039 / 7501.920000000043 [-0.51%]
Windows-64-VC10:
OCCT
Total CPU difference: 16969.710779498626 / 16837.85873429857 [+0.78%]
Products
Total CPU difference: 8270.20581379989 / 8212.11104139987 [+0.71%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0077946)
git (administrator)
2018-07-23 21:13

Branch CR29740_1 has been created by kgv.

SHA-1: 45e7b31979650c2b6997701ceef12d873ac057b5


Detailed log of new commits:

Author: kgv
Date: Mon Jul 23 21:12:13 2018 +0300

    0029740: Draw Harness - eliminate redundant casts to AIS_InteractiveObject
    
    NCollecton_DoubleMap has been extended with two new methods Find1() and Find2()
    performing lookup and returning found key withoout throwing an exception
    (similar to NCollection_DataMap::Find()).
    
    ViewerTest_DoubleMapOfInteractiveAndName has been redeclared to define
    Handle(AIS_InteractiveObject) key instead of Handle(Standard_Transient).
(0078137)
git (administrator)
2018-07-28 12:38

Branch CR29740_1 has been deleted by inv.

SHA-1: 45e7b31979650c2b6997701ceef12d873ac057b5
(0078141)
git (administrator)
2018-07-28 12:38

Branch CR29740 has been deleted by inv.

SHA-1: d36934c294f428d2813a0709a827fbe625816667

- Related Changesets
occt: master 8f521168
Timestamp: 2018-07-23 18:12:13
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029740: Draw Harness - eliminate redundant casts to AIS_InteractiveObject

NCollecton_DoubleMap has been extended with two new methods Find1() and Find2()
performing lookup and returning found key withoout throwing an exception
(similar to NCollection_DataMap::Find()).

ViewerTest_DoubleMapOfInteractiveAndName has been redeclared to define
Handle(AIS_InteractiveObject) key instead of Handle(Standard_Transient).
mod - src/NCollection/NCollection_DoubleMap.hxx Diff ] File ]
mod - src/QABugs/QABugs_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/QABugs/QABugs_9.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_DoubleMapOfInteractiveAndName.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
rm - tests/bugs/vis/bug137_1 Diff ] File ]
rm - tests/bugs/vis/bug137_10 Diff ] File ]
rm - tests/bugs/vis/bug137_11 Diff ] File ]
rm - tests/bugs/vis/bug137_2 Diff ] File ]
rm - tests/bugs/vis/bug137_3 Diff ] File ]
rm - tests/bugs/vis/bug137_6 Diff ] File ]
rm - tests/bugs/vis/bug137_7 Diff ] File ]
rm - tests/bugs/vis/bug137_8 Diff ] File ]
rm - tests/bugs/vis/bug137_9 Diff ] File ]
mod - tools/ToolsDraw/ToolsDraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-07 12:40 kgv New Issue
2018-05-07 12:40 kgv Assigned To => kgv
2018-05-07 12:40 kgv Relationship added related to 0029739
2018-05-07 12:40 kgv Relationship added child of 0025148
2018-05-07 12:50 kgv Relationship added child of 0020053
2018-05-07 12:51 kgv Relationship added child of 0021794
2018-07-13 12:47 git Note Added: 0077564
2018-07-13 13:51 kgv Note Added: 0077570
2018-07-13 13:51 kgv Assigned To kgv => san
2018-07-13 13:51 kgv Status new => resolved
2018-07-13 14:59 git Note Added: 0077572
2018-07-13 15:11 git Note Added: 0077573
2018-07-13 15:39 git Note Added: 0077575
2018-07-20 19:56 kgv Note Edited: 0077570 View Revisions
2018-07-20 20:00 git Note Added: 0077861
2018-07-20 20:01 san Note Added: 0077862
2018-07-20 20:01 san Assigned To san => bugmaster
2018-07-20 20:01 san Status resolved => reviewed
2018-07-23 17:09 bugmaster Note Added: 0077932
2018-07-23 17:09 bugmaster Status reviewed => tested
2018-07-23 17:09 bugmaster Test case number => Not needed
2018-07-23 21:13 git Note Added: 0077946
2018-07-28 12:26 bugmaster Changeset attached => occt master 8f521168
2018-07-28 12:26 bugmaster Status tested => verified
2018-07-28 12:26 bugmaster Resolution open => fixed
2018-07-28 12:38 git Note Added: 0078137
2018-07-28 12:38 git Note Added: 0078141


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker